## pamix 1.6~git20180112.ea4ab3b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(pamix)

include(CMakeGitDefines.cmake)

option(WITH_UNICODE "Compile with unicode support and symbols" ON)
set(NCURSESW_H_INCLUDE "ncursesw/ncurses.h" CACHE STRING "ncursesw include directive content")

configure_file(config.hpp.in ${CMAKE_CURRENT_SOURCE_DIR}/config.hpp )
configure_file(man/pamix.1.in ${CMAKE_CURRENT_SOURCE_DIR}/man/pamix.1)

set(CMAKE_CXX_STANDARD 11)
file(GLOB_RECURSE pamix_SRC
        "include/*.h"
        "src/*.cpp")

include_directories("include")
link_libraries("pulse" "pthread")

find_package(PkgConfig REQUIRED QUIET)
IF (WITH_UNICODE)
    pkg_search_module(NCURSESW REQUIRED ncursesw)
    link_libraries(${NCURSESW_LDFLAGS})
    add_definitions(-DFEAT_UNICODE)
ELSE ()
    pkg_search_module(NCURSES REQUIRED ncurses)
    link_libraries(${NCURSES_LDFLAGS})
ENDIF ()

add_executable(pamix ${pamix_SRC})
install(FILES pamix.conf DESTINATION /etc/xdg)
install(TARGETS pamix DESTINATION bin)
install(FILES man/pamix.1 DESTINATION share/man/man1)

## pamix 1.5

=== debian/changelog ===
pamix (1.5-1) unstable; urgency=medium

  * Initial release. Closes: #885174

 -- Josue Ortega <josue@debian.org>  Mon, 25 Dec 2017 13:57:46 -0600

=== debian/control ===
Source: pamix
Section: sound
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=10),
 libncursesw5-dev,
 libpulse-dev,
 autoconf-archive
Standards-Version: 4.1.2
Homepage: https://github.com/patroclos/PAmix
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pamix.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pamix.git

Package: pamix
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libncursesw5
Recommends: pulseaudio
Description: Pulseaudio terminal mixer based in pavucontrol
 PAMix is an ncurses/curses pulseaudio mixer in C++ similar to pavucontrol
 designed to run in the terminal, it allows you to control both the volume of
 hardware devices and of each playback stream separately.

## pamix 1.6~git20180112.ea4ab3b

=== debian/changelog ===
pamix (1.6~git20180112.ea4ab3b-4) unstable; urgency=medium

  * Add patch to fix FTBFS error due to missing format arguments passed to
    mvprintw. (Closes: #995979)
  * Update package to use debhelper-compat (= 13)
  * Bump Standards-Version to 4.6.0:
    + debian/compat: Document Rules-Requires-Root as no.
  * Bump debian/watch to version 4.
  * d/patches/00-fix-man-syntax.patch: Document Forwarded field as not-
    needed.

 -- Josue Ortega <josue@debian.org>  Mon, 01 Nov 2021 16:41:22 -0600

pamix (1.6~git20180112.ea4ab3b-3) unstable; urgency=medium

  * debian/control: Removes hardcoded dependency on libncursesw5,
    (Closes: #897910).
  * Bumps Standards-Version to 4.1.4, no changes required.

 -- Josue Ortega <josue@debian.org>  Sat, 05 May 2018 16:10:19 -0600

pamix (1.6~git20180112.ea4ab3b-2) unstable; urgency=medium

  * debian/control:
    - Adds cmake as build dependency.
    - Removes autoconf-archive from build dependencies.

 -- Josue Ortega <josue@debian.org>  Fri, 30 Mar 2018 22:14:04 -0600

pamix (1.6~git20180112.ea4ab3b-1) unstable; urgency=medium

  * New debian upload (1.6~git20180112.ea4ab3b):
    - Updates 00-fix-configure-upstream-version.patch.
  * Removes 00-fix-configure-upstream-version.patch, no longer needed.
  * debian/control: Updates Vcs fieldsto use salsa.debian.org.
  * Bumps compat level from 10 to 11.
  * debian/changelog: Bumps Standards-Version to 4.1.3, no changes
    required.
  * Add upstream/metadata file.

 -- Josue Ortega <josue@debian.org>  Fri, 30 Mar 2018 12:19:08 -0600

=== debian/control ===
Source: pamix
Section: sound
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libncursesw5-dev,
 libpulse-dev
Standards-Version: 4.6.0
Homepage: https://github.com/patroclos/PAmix
Vcs-Git: https://salsa.debian.org/debian/pamix.git
Vcs-Browser: https://salsa.debian.org/debian/pamix
Rules-Requires-Root: no

Package: pamix
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: pulseaudio
Description: Pulseaudio terminal mixer based in pavucontrol
 PAMix is an ncurses/curses pulseaudio mixer in C++ similar to pavucontrol
 designed to run in the terminal, it allows you to control both the volume of
 hardware devices and of each playback stream separately.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PAmix-$1\.tar\.gz/ \
  https://github.com/patroclos/PAmix/releases .*/v*(\d\S*)\.tar\.gz

## pamix 2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(pamix C)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)
file(GLOB_RECURSE pamix_SRC
        "src/*.h"
        "src/*.c")

include_directories("src")
link_libraries("pulse" "pthread")

find_package(PkgConfig REQUIRED QUIET)
pkg_search_module(NCURSESW REQUIRED ncursesw)
link_libraries(${NCURSESW_LIBRARIES})
add_definitions(${NCURSESW_CFLAGS} ${NCURSESW_CFLAGS_OTHER})

add_executable(pamix ${pamix_SRC})
install(FILES pamix.conf DESTINATION /etc/xdg)
install(TARGETS pamix DESTINATION bin)
install(FILES man/pamix.1 TYPE MAN)

=== debian/changelog ===
pamix (2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113388)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 09:23:53 +0200

pamix (2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.

  [ Sam Q <sam.quillopas@gmail.com> ]
  * Fix debian/watch pointing to wrong github path.

  [ Josue Ortega ]
  * New upstream release (2.0):
    + Remove debian/patches{00-fix-man-syntax.patch,01-fix-string-literal.patch}
      The patches are no longer aplicable due to upstream rewrite.
    + Add debian/pamix.manpage file.
  * Add debian/patches/00-fix-man-page.patch.
  * Update build dependency libncursesw5-dev => libncurses-dev.
  * debian/copyright: Update copyright holder's year.
  * Bump Standards-Version to 4.7.0. No changes required.

 -- Josue Ortega <josue@debian.org>  Sun, 05 Jan 2025 12:13:32 -0600

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libncursesw5-dev,
+ libncurses-dev,
  libpulse-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/patroclos/PAmix
 Vcs-Git: https://salsa.debian.org/debian/pamix.git
 Vcs-Browser: https://salsa.debian.org/debian/pamix

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PAmix-$1\.tar\.gz/ \
  https://github.com/patroclos/PAmix/tags .*/v*(\d\S*)\.tar\.gz
